org.richfaces.component

## Class AbstractPanelMenuItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.richfaces.component.AbstractActionComponent
        - - org.richfaces.component.AbstractPanelMenuItem

- All Implemented Interfaces:
    EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxProps
  Direct Known Subclasses:
    AbstractPanelMenuGroup, UIPanelMenuItem

      public abstract class AbstractPanelMenuItem
      extends AbstractActionComponent
      implements AjaxProps

  The <rich:panelMenuItem> component represents a single item inside a <rich:panelMenuGroup> component, which is in turn part of a <rich:panelMenu> component.

  Author:
    akolonitsky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractPanelMenuItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisabledClass()` Space-separated list of CSS style class(es) to be applied to the panel menu item when it is disabled.
    `Object` | `getExecute()` IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle.
    `String` | `getFamily()`
    `abstract String` | `getLabel()` A localized user presentable name for this component.
    `String` | `getLeftDisabledIcon()` The icon displayed on the left of the menu item when it is disabled
    `String` | `getLeftIcon()` The icon displayed on the left of the menu item label
    `abstract String` | `getLeftIconClass()` Space-separated list of CSS style class(es) to be applied to the left icon of the panel menu item.
    `abstract org.richfaces.PanelMenuMode` | `getMode()` Mode used for selecting of this item: default value is inherited from panelMenu
    `String` | `getName()` The name of this component
    `abstract String` | `getOnbeforeselect()` The client-side script method to be called before the menu group is selected
    `abstract String` | `getOnclick()`
    `abstract String` | `getOndblclick()`
    `abstract String` | `getOnmousedown()`
    `abstract String` | `getOnmousemove()`
    `abstract String` | `getOnmouseout()`
    `abstract String` | `getOnmouseover()`
    `abstract String` | `getOnmouseup()`
    `abstract String` | `getOnselect()` The client-side script method to be called after the menu group is selected
    `abstract String` | `getOnunselect()` The client-side script method to be called after the menu group is unselected
    `AbstractPanelMenu` | `getPanelMenu()`
    `javax.faces.component.UIComponent` | `getParentItem()`
    `String` | `getRightDisabledIcon()` The icon displayed on the right of the menu item when it is disabled
    `String` | `getRightIcon()` The icon displayed on the right of the menu item label
    `abstract String` | `getRightIconClass()` Space-separated list of CSS style class(es) to be applied to the right icon of the panel menu item.
    `abstract Boolean` | `getSelectable()` Defines whenever the item is selectable.
    `abstract String` | `getStyle()`
    `String` | `getStyleClass()`
    `abstract Boolean` | `getUnselectable()`
    `Object` | `getValue()`
    `boolean` | `isActiveItem()`
    `abstract boolean` | `isDisabled()` Defines whenever this component should be disabled.
    `boolean` | `isParentDisabled()`
    `boolean` | `isTopItem()`
    `void` | `setDisabledClass(String disabledClass)`
    `void` | `setExecute(Object execute)`
    `void` | `setLeftDisabledIcon(String leftDisabledIcon)`
    `void` | `setLeftIcon(String leftIcon)`
    `void` | `setName(String name)`
    `void` | `setRightDisabledIcon(String rightDisabledIcon)`
    `void` | `setRightIcon(String iconRight)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.richfaces.component.AbstractActionComponent

      `isBypassUpdates, queueEvent, setBypassUpdates`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.AjaxProps

      `getData, getOnbeforedomupdate, getOnbegin, getOncomplete, getRender, getStatus, isLimitRender`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractPanelMenuItem

          protected AbstractPanelMenuItem()

  - ### Method Detail

    - #### isActiveItem

          public boolean isActiveItem()

    - #### isTopItem

          public boolean isTopItem()

    - #### getPanelMenu

          public AbstractPanelMenu getPanelMenu()

    - #### getParentItem

          public javax.faces.component.UIComponent getParentItem()

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### getSelectable

          public abstract Boolean getSelectable()

      Defines whenever the item is selectable.

    - #### getUnselectable

          public abstract Boolean getUnselectable()

    - #### getMode

          public abstract org.richfaces.PanelMenuMode getMode()

      Mode used for selecting of this item: default value is inherited from panelMenu

    - #### getName

          public String getName()

      The name of this component

    - #### setName

          public void setName(String name)

    - #### getLabel

          public abstract String getLabel()

      A localized user presentable name for this component.

    - #### isDisabled

          public abstract boolean isDisabled()

      Defines whenever this component should be disabled.

    - #### isParentDisabled

          public boolean isParentDisabled()

    - #### getExecute

          public Object getExecute()

      Description copied from interface: `AjaxProps`
      IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of IDs, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords
      Specified by:
        `getExecute` in interface `AjaxProps`

    - #### setExecute

          public void setExecute(Object execute)

    - #### getDisabledClass

          public String getDisabledClass()

      Space-separated list of CSS style class(es) to be applied to the panel menu item when it is disabled.

    - #### setDisabledClass

          public void setDisabledClass(String disabledClass)

    - #### getLeftIcon

          public String getLeftIcon()

      The icon displayed on the left of the menu item label

    - #### setLeftIcon

          public void setLeftIcon(String leftIcon)

    - #### getLeftIconClass

          public abstract String getLeftIconClass()

      Space-separated list of CSS style class(es) to be applied to the left icon of the panel menu item.

    - #### getLeftDisabledIcon

          public String getLeftDisabledIcon()

      The icon displayed on the left of the menu item when it is disabled

    - #### setLeftDisabledIcon

          public void setLeftDisabledIcon(String leftDisabledIcon)

    - #### getRightIcon

          public String getRightIcon()

      The icon displayed on the right of the menu item label

    - #### setRightIcon

          public void setRightIcon(String iconRight)

    - #### getRightIconClass

          public abstract String getRightIconClass()

      Space-separated list of CSS style class(es) to be applied to the right icon of the panel menu item.

    - #### getRightDisabledIcon

          public String getRightDisabledIcon()

      The icon displayed on the right of the menu item when it is disabled

    - #### setRightDisabledIcon

          public void setRightDisabledIcon(String rightDisabledIcon)

    - #### getStyle

          public abstract String getStyle()

    - #### getStyleClass

          public String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getOnclick

          public abstract String getOnclick()

    - #### getOndblclick

          public abstract String getOndblclick()

    - #### getOnmousedown

          public abstract String getOnmousedown()

    - #### getOnmousemove

          public abstract String getOnmousemove()

    - #### getOnmouseout

          public abstract String getOnmouseout()

    - #### getOnmouseover

          public abstract String getOnmouseover()

    - #### getOnmouseup

          public abstract String getOnmouseup()

    - #### getOnunselect

          public abstract String getOnunselect()

      The client-side script method to be called after the menu group is unselected

    - #### getOnselect

          public abstract String getOnselect()

      The client-side script method to be called after the menu group is selected

    - #### getOnbeforeselect

          public abstract String getOnbeforeselect()

      The client-side script method to be called before the menu group is selected

    - #### getValue

          public Object getValue()

      Overrides:
        `getValue` in class `javax.faces.component.UICommand`

    - #### setValue

          public void setValue(Object value)

      Overrides:
        `setValue` in class `javax.faces.component.UICommand`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.